Jump to: navigation, search

Web Services and Applications

Important
Genesys support for the platform versions mentioned on this page ends when the respective vendors declare End of Support. For more information, see Discontinued Support.

Supported Operating Systems

Notes:
  • Genesys supports use of products on Oracle Linux, provided that the Oracle Linux distribution is 100% compatible with a Genesys-supported Red Hat distribution, and that the Oracle Unbreakable Enterprise Kernel is not used. Genesys will only support Oracle Linux based on testing and reproduction of any issues in the equivalent Red Hat Linux version; no investigation or testing will be performed on Oracle Linux itself. Support only applies to Oracle Linux versions 5.x and later.

OS Family OS Release Conditions
OS Family OS Release Conditions
Linux CentOS Linux 7 8.5.2 Supported starting with 8.5.202.63.
Linux Red Hat Enterprise Linux 6 8.5.2
Linux Red Hat Enterprise Linux 7 8.5.2 Supported starting with 8.5.201.61.

Supported Browsers


Notes:
  • This table combines OS/Browser support for these Applications: Workspace Web Edition and Gplus Adapter for Salesforce.
Browser Related Operating System Genesys Release Conditions/Limitations
Firefox ESR

, Windows 10, Windows 7, Windows 8

8.5.2

Supported on version 45+


Google Chrome

, Windows 10, Windows 7, Windows 8

8.5.2

Supported on version 67+


Microsoft Edge

Windows 10

8.5.2


Microsoft IE

Windows 10, Windows 7, Windows 8

8.5.2

Supported on version 11

Supported Database/DB Clusters


Database Release Conditions/Limitations
Cassandra 1 8.5.2
Cassandra 2 8.5.201.41

Supported Virtualization Platforms

Tip
See the global page that lists all Virtualization-related information.

IPV6 Support for Common Interfaces


No IPV6 information for common interfaces at this time.

IPV6 Support for Additional Interfaces


No IPV6 information for additional components at this time.

Prerequisites


Genesys Web Services and Applications - Prerequisites

Third-Party Component Prerequisites

Acquired by Customer

Provided by Genesys

Conditions/Limitations

Third-Party Component Prerequisites

OpenJDK 8 Yes No Release: 8.5
Starting with 8.5.202.69.

Supported Versions

Elasticsearch Yes No Release: All
Genesys recommends using the latest stable 1.x version of Elasticsearch
Java 8 Yes No Release: 8.5.201.29
Jetty 9.2 No Yes Release: All
Jetty 9.2 embedded in Web Services (no need to deploy separately)
This page was last edited on April 6, 2020, at 07:41.
blog comments powered by Disqus